質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.99%

ubuntu ppa追加してuodateしたらエラーが出てきました。

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,662

mint.cherry

score 278

ubuntu16.04(development )のlxc上でやっています。
lxc:ubuntu 16.04

apt-add-repository  ppa:ondrej/mysql-5.7

でppaを追加してupdateしたら以下のエラーが出てきました。
一つだけerrorが出てきています。

Ign:1 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial InRelease
Ign:2 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial Release
Ign:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
Get:4 http://archive.ubuntu.com/ubuntu xenial InRelease [237 kB]
Ign:5 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main all Packages
Ign:6 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main Translation-en
Ign:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
Ign:5 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main all Packages
Get:7 http://security.ubuntu.com/ubuntu xenial-security InRelease [82.2 kB]
Ign:6 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main Translation-en
Ign:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
Ign:5 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main all Packages
Ign:6 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main Translation-en
Ign:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
Ign:5 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main all Packages
Get:8 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB]
Ign:6 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main Translation-en
Err:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
  404  Not Found
Ign:5 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main all Packages
Ign:6 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main Translation-en

404 not foundって見つかりませんという意味で捉えます。
mysql5.7はリリースされているはずなのになぜ見つからないのでしょうか?
apt-cache search mysql*で確認したところまだ5.6でした。

お願いします


追記
lxcのOS情報です。

root@test:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="16.04 (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
UBUNTU_CODENAME=xenial
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+2

404 Not Found 担っている理由は、リンク先をブラウザで開くと分かりますが、
https://launchpad.net/~ondrej/+archive/ubuntu/mysql-5.7/+packages
16.04 (Xenial Xerus)向けにパッケージングされていないからでしょう。
ついでに言うと、他のバージョン向けの最終更新日も古く、ビルドも失敗していることから、現在メンテナンスされていないのではないでしょうか。


認識が色々と誤っているようなので補足します。

mysql5.7はリリースされているはず

Ubuntu公式には最新版は5.6です。Ubuntu上で最大限のサポートを受けたいのであれば、公式リポジトリのものを使用すべきです。
また、MySQL公式ということであれば入手場所は https://dev.mysql.com/downloads/repo/apt/ (注)です。
質問文中にあるPPAはUbuntu公式でもMySQL公式でもない、非公式な個人リポジトリです。
(注: ただ、これをインストールしようとしたところこちらの問題が発生しました)

そもそもUbuntu16.04自体公式リリースされた安定版ではなく、今回のような問題が起こった際に解決の目処が立てられないのであれば使用し続けるべきではありません。
(今回のように対応しているパッケージが存在しない、というのは珍しいことでも何でも無く、当たり前のことです。)

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/02/04 19:29

    回答ありがとうございます。

    5.7の変更点を触りたいと思って、入れようと試みました。
    16.04の安定板が出たらある程度このような疑問も減るということなんですね。
    でも、私自身これも良い経験になります。いろいろと教えてくれて勉強になりますm(__)m

    あまり安定板以外推奨されていないようですね。(まぁ、あたり前ですよね…)


    ここから下はあまり関係ないのですので無視してても大丈夫ですm(__)m
    ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー
    今の環境はVPSでサーバを借りています。そこにubuntuが選べれるのですが、サポートしているのが14.04TLSしかありませんでした。。。
    その時の状況がこちらです、https://teratail.com/questions/25363

    私も最初14.04LTSを使用していて15.10をほしかったのですが、サイトに沿ってupgradeしたら16.04になっちゃいました。
    その時の状況がyukihaneさんのはってくれたリンクですね。

    今日このページをみつけました。次機会があれば検証したいです(笑)
    http://takuya-1st.hatenablog.jp/entry/20090527/1243391239

    キャンセル

+1

Err:3 http://ppa.launchpad.net/ondrej/mysql-5.7/ubuntu xenial/main amd64 Packages
  404  Not Found

これかな? の
エラーの対処方法

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/02/04 11:59

    回答ありがとうございます。あらかじめ自分もある程度は調べておりますm(__)m

    すいませんubuntuのバージョンは15.10と書きましたが、16.04です。
    ですが両方ともサポートは切れておりません。
    ただ、16.04は本来今年の4月リリースのものを使用しております。development版を使っていますm(__)m

    リンク先だとどうやら古いリリースでバージョンのサポートがきれた時の対処方法ですね。

    キャンセル

  • 2016/02/04 18:02

    yukihaneさんが書かれているように動作保証されている環境か確認しましょう。

    キャンセル

  • 2016/02/04 20:27

    返信ありがとうございます。そうですね。
    わたし自身mysqlの5.7バージョンがそもそも使えるものだと思っていました。
    その概念がなかったのです(汗)今日一つ学びましたm(__)m
    ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.99%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る